<!--
		SIF Implementation Specification (Australia) 3.4.3


		(April 5, 2018)
		
		Infrastructure Version: v3
	-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.sifassociation.org/datamodel/au/3.4" targetNamespace="http://www.sifassociation.org/datamodel/au/3.4" elementFormDefault="qualified" version="3.4.3">
  <xs:complexType name="PersonPictureType">
    <xs:sequence>
      <xs:element name="ParentObjectRefId" minOccurs="0">
        <xs:complexType>
          <xs:simpleContent>
            <xs:extension base="IdRefTypeOrEmpty">
              <xs:attribute name="SIF_RefObject" use="required">
                <xs:simpleType>
                  <xs:restriction base="xs:token">
                    <xs:enumeration value="StudentPersonal" />
                    <xs:enumeration value="StaffPersonal" />
                    <xs:enumeration value="StudentContactPersonal" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:attribute>
            </xs:extension>
          </xs:simpleContent>
        </xs:complexType>
      </xs:element>
      <xs:element name="SchoolYear" minOccurs="0" type="SchoolYearType" />
      <xs:element name="PictureSource" minOccurs="0">
        <xs:complexType>
          <xs:simpleContent>
            <xs:extension base="URIOrBinaryTypeOrEmpty">
              <xs:attribute name="Type" use="required" type="AUCodeSetsPictureSourceType" />
            </xs:extension>
          </xs:simpleContent>
        </xs:complexType>
      </xs:element>
      <xs:element name="OKToPublish" minOccurs="0" nillable="true" type="AUCodeSetsYesOrNoCategoryType" />
      <xs:element name="SIF_Metadata" minOccurs="0" nillable="true" type="SIF_MetadataType" />
      <xs:element name="SIF_ExtendedElements" minOccurs="0" nillable="true" type="SIF_ExtendedElementsType" />
    </xs:sequence>
    <xs:attribute name="RefId" use="required" type="RefIdType" />
  </xs:complexType>

  <xs:element name="PersonPicture" type="PersonPictureType">
    <xs:unique name="PersonPictureKey1">
      <xs:selector xpath="./PersonPicture" />
      <xs:field xpath="@RefId" />
    </xs:unique>
  </xs:element>

  <xs:complexType name="PersonPictureCollectionType">
    <xs:sequence>
      <xs:element name="PersonPicture" type="PersonPictureType" minOccurs="0" maxOccurs="unbounded" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="PersonPictures" type="PersonPictureCollectionType" />

</xs:schema>